Transaction

Transaction

POST /v1/apm/pix/charge

Endpoint to create a pix charge.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256(apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
amountbodyCharge amountyesdecimal
pixKeybodyAccount's Pix Keyyesstring
returnQrCodeImagebodyIndicator that returns the qrCode imageyesbool
expirationbodyQRcode expiration time in secondsyesint
payerDocumentbodyOnly for Bets. And when provided, the payment must be made using an account owned by the same document holder; otherwise, the payment will not be acceptednostring
additionalInfobodyAdditional information embedded in the QR Code. Max 5 items.noarray
Request Example
{
  "expiration": 3600,
  "amount": "18.92",
  "returnQrCodeImage": false,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "payerDocument": "36264164615"
}
Response Fields
FieldTypeAdditional Information
txidstringTransaction ID generated
locationstringLocated in of the generated QRCode
qrCodeImagestringBase64 image of the QRcode (Only when returnQrCodeImage = true is specified)
statusstringTransaction status. See Transaction Statuses.
amountdecimalTransaction value
pixCopyAndPastestringCopy and paste code from Pix
pixKeystringPix key used for the transaction
additionalInfoarrayAdditional information
Response Example
{
  "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
  "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
  "qrCodeImage": null,
  "status": "ATIVA",
  "amount": 18.92,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd"
}

POST /v2/apm/pix/charge/due-date

Endpoint to create a Pix charge with a due date. Supports interest, fines, discounts and deductions after/before the due date.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256(apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeybodyRecipient's Pix key.yesstring
descriptionbodyCharge description visible to the debtor. Max 140 characters.nostring
calendarbodyCalendar object containing due date and validity after due date.yesobject
calendar.dueDatebodyDue date of the charge. Must be a future date, max 3 years from today.yesDateTime (ISO 8601)
calendar.validDaysAfterDueDatebodyNumber of calendar days after due date that the QR Code remains active (charging interest and fines). Minimum 1.yesinteger
chargebodyCharge object containing amount and optional financial adjustments.yesobject
charge.amountbodyOriginal charge amount in BRL. Must be between R$ 0.01 and R$ 1,000,000,000.00. Max 2 decimal places.yesdecimal
charge.interestbodyInterest object applied after due date.noobject
charge.interest.modalitybodyInterest modality (1–8). See Interest Modalities.nointeger
charge.interest.valuebodyInterest value or percentage to apply after due date. Max 2 decimal places.nodecimal
charge.penaltybodyPenalty object applied after due date.noobject
charge.penalty.modalitybodyPenalty modality: 1 = Fixed amount; 2 = Percentage.nointeger
charge.penalty.valuebodyPenalty value or percentage to apply after due date. Max 2 decimal places.nodecimal
charge.discountbodyDiscount object with modality, value and fixed dates when applicable.noobject
charge.discount.modalitybodyDiscount modality (1–6). See Discount Modalities.nointeger
charge.discount.valuebodyDiscount value or percentage. Required for modalities 3–6. Max 2 decimal places.nodecimal
charge.discount.fixedDatebodyList of fixed dates with discount values. Required for modalities 1 and 2.noarray
charge.discount.fixedDate.datebodyDeadline date for the discount. Cannot be after the due date.noDateTime (ISO 8601)
charge.discount.fixedDate.valuebodyDiscount amount or percentage applied up to this date. Max 2 decimal places.nodecimal
charge.reductionbodyReduction (deduction) object.noobject
charge.reduction.modalitybodyReduction (deduction) modality: 1 = Fixed amount; 2 = Percentage.nointeger
charge.reduction.valuebodyReduction value or percentage. Max 2 decimal places.nodecimal
debtorbodyDebtor object with identification and optional address fields.yesobject
debtor.namebodyDebtor's full name or company name. Max 200 characters.yesstring
debtor.documentbodyDebtor's CPF (11 digits) or CNPJ (14 digits), without formatting.yesstring
debtor.addressbodyDebtor's street address (optional).nostring
debtor.citybodyDebtor's city (optional).nostring
debtor.postalCodebodyDebtor's ZIP code, without formatting (optional).nostring
debtor.statebodyDebtor's state abbreviation (optional).nostring
additionalInfobodyAdditional information embedded in the QR Code. Max 5 items.noarray
additionalInfo.namebodyLabel of the additional information. Max 50 characters. Required when the item is included.nostring
additionalInfo.valuebodyValue of the additional information. Max 200 characters. Required when the item is included.nostring
Request Example
{
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "description": "Order #12345",
  "calendar": {
    "dueDate": "2026-03-31T00:00:00Z",
    "validDaysAfterDueDate": 30
  },
  "charge": {
    "amount": 150.00,
    "interest": {
      "modality": 2,
      "value": 1.50
    },
    "penalty": {
      "modality": 2,
      "value": 2.20
    },
    "discount": {
      "modality": 1,
      "value": 10.00,
      "fixedDate": [
        {
          "date": "2026-03-25T00:00:00Z",
          "value": 10.00
        }
      ]
    },
    "reduction": {
      "modality": 1,
      "value": 5.00
    }
  },
  "debtor": {
    "name": "João da Silva",
    "document": "36264164615",
    "address": "Rua das Flores, 100",
    "city": "São Paulo",
    "postalCode": "01310100",
    "state": "SP"
  },
  "additionalInfo": [
    {
      "name": "Order reference",
      "value": "ORD-2026-001"
    }
  ]
}
Response Fields
FieldTypeAdditional Information
txidstringTransaction ID generated
locationstringLocated in of the generated QRCode
qrCodeImagestringBase64 image of the QRcode
statusstringTransaction status. See Transaction Statuses.
amountdecimalTransaction value
pixCopyAndPastestringCopy and paste code from Pix
pixKeystringPix key used for the transaction
additionalInfoarrayAdditional information
Response Example
{
  "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
  "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
  "qrCodeImage": null,
  "status": "ATIVA",
  "amount": 150.00,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd"
}

POST /v2/apm/pix/static-qrcode

Endpoint to create a static Pix QR Code (no expiration). Unlike immediate charges, a static QR Code can be paid multiple times and does not expire.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
amountbodyCharge amountnodecimal
pixKeybodyAccount's Pix Keyyesstring
returnQrCodeImagebodyIndicator that returns the QR Code imageyesbool
descriptionbodyCharge description. Only alphanumeric characters and spaces allowed. Max 41 characters.nostring
Request Example
{
  "amount": 1000.00,
  "pixKey": "468442e9-07e9-4c69-b7bf-1608313f288f",
  "returnQrCodeImage": true,
  "description": "Filial 2 Terminal 4"
}
Response Fields
FieldTypeDescription
txidstringTransaction ID. Alphanumeric, no spaces, max 25 characters.
pixCopyAndPastestringCopy and paste code from Pix
pixKeystringAccount's Pix Key
qrCodeImagestringBase64 image of the QR Code (null if returnQrCodeImage = false)
amountdecimalCharge amount
statusstringQR Code status. See Static QR Code Statuses.
descriptionstringCharge description. Only alphanumeric characters and spaces. Max 41 characters.
Response Example
{
  "txid": "01ARZ3NDEKTSV4RRFFQ69G5FA",
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "qrCodeImage": null,
  "amount": 50.00,
  "status": "Active",
  "description": "Filial 2 Terminal 4"
}

GET /v1/apm/pix/charge/{txid}

Check immediate billing through a specific txid.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidpathTransaction Idyesstring
returnQrCodeImagequeryIndicator whether QrCode should be generated in base64 or notnoboolean
Response Fields
FieldTypeDescription
expirationintegerQRcode expiration time in seconds
amountdecimalCharge amount
additionalInfoarrayAdditional information provided
additionalInfo.namestringTitle of information
additionalInfo.valuestringContent of information
pixKeystringAccount's Pix Key
txidstringTransaction ID
locationstringLocation of the generated QRCode
qrCodeImagestringBase64 image of the QRcode (null if returnQrCodeImage=false)
statusstringTransaction status. See Transaction Statuses.
pixCopyAndPastestringCopy and paste code from Pix
createdAtDateTime (ISO 8601)Date and time of creation
pixarrayArray of payment confirmations
pix.endToEndIdstringEnd to End of payment confirmation
pix.amountdecimalPayment amount
pix.pixKeystringPix key used
pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
pix.reversesarrayArray of reversals/refunds
pix.reverses.txidstringRefund transaction ID
pix.reverses.endToEndIdstringEnd to End of refund
pix.reverses.amountdecimalRefunded amount
pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
pix.reverses.statusstringStatus of the refund. See Refund Statuses.
holdSettlemetbooleanIndicates if settlement is on hold
inconsistencyReprovalintegerInconsistency reproval code (can be null)
Response Example
{
  "expiration": 3600,
  "amount": 18.92,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
  "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
  "qrCodeImage": null,
  "status": "ATIVA",
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "createdAt": "2025-06-06T04:32:06.055Z",
  "pix": [
    {
      "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "amount": 231.39,
      "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
      "confirmedAt": "2025-06-06T04:32:06.055Z",
      "reverses": [
        {
          "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
          "endToEndId": "D12345678202009091000abcde123456",
          "amount": 231.39,
          "confirmedAt": "2025-06-06T04:32:06.055Z",
          "status": "DEVOLVIDO"
        }
      ]
    }
  ],
  "holdSettlemet": false,
  "inconsistencyReproval": null
}

GET /v2/apm/pix/static-qrcode/{txid}

Retrieve a static QR code by its transaction ID.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
txidpathTransaction ID. Alphanumeric, no spaces, max 25 characters.yesstring
returnQrCodeImagequeryIndicator whether QrCode should be generated in base64 or notnoboolean
Response Fields
FieldTypeDescription
txidstringTransaction ID. Alphanumeric, no spaces, max 25 characters.
pixCopyAndPastestringCopy and paste code from Pix
pixKeystringAccount's Pix Key
qrCodeImagestringBase64 image of the QR Code (null if returnQrCodeImage = false)
amountdecimalCharge amount
statusstringQR Code status. See Static QR Code Statuses.
descriptionstringCharge description. Only alphanumeric characters and spaces. Max 41 characters.
Response Example
{
  "txid": "01ARZ3NDEKTSV4RRFFQ69G5FA",
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "qrCodeImage": null,
  "amount": 50.00,
  "status": "Active",
  "description": "Filial 2 Terminal 4"
}

PATCH /v1/apm/pix/charge/cancel/{txid}

Cancel immediate charge.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidpathyesstring

PATCH /v2/apm/pix/static-qrcode/cancel/{txid}

Cancel a static QR code.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
txidpathTransaction ID. Alphanumeric, no spaces, max 25 characters.yesstring

GET /v1/apm/pix/charges

Check the list of immediate charges using parameters such as start, end, CPF, CNPJ and status.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
startDatequeryStart date to filter the queryyesDateTime (ISO 8601)
endDatequeryEnd date to filter the queryyesDateTime (ISO 8601)
pixKeyqueryAccount Pix Keynostring
documentNumberqueryCNPJ numbernostring
statusqueryStatus of the transaction. See Transaction Statuses.nostring
pagination.currentPagequeryCurrent Pageyesint
pagination.pageSizequeryPage Sizeyesint
Response Fields
PropertyTypeDescription
results.txidstringPix charge unique identifier
results.locationstringPayloads location
results.qrCodeImagestringBase64 of the QrCode image
results.statusstring (enum)Status of the pix charge. See Transaction Statuses.
results.amountdecimalAmount of the pix charge (BRL)
results.pixCopyAndPastestringCopy and paste code
results.pixKeystringInternal pix key of the account
results.expirationintLifetime of the pix charge before expiration, specified in seconds
results.createdAtDateTime (ISO 8601)Date and time of creation
results.pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
results.pix.endToEndIdstringUnique end to end id for the pix charge
results.pix.amountdecimalAmount of the payment (BRL)
results.pix.pixKeystringPix key of the receiver
pix.inconsistencyReprovalenumIn case of reproval by the inconsistency prevention engine, this field will be populated with the following value: 1 - Inconsistency
results.pix.reverses.txidstringRefunds unique identifier
results.pix.reverses.endToEndIdstringUnique end to end id for the refund
results.pix.reverses.amountdecimalRefunded amount (BRL)
results.pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
results.pix.reverses.statusstringStatus of the refund. See Refund Statuses.
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
criteria.startDateDateTime (ISO 8601)Filter transactions after this date and time
criteria.endDateDateTime (ISO 8601)Filter transactions before this date and time
criteria.pixKeystringPix key of the account
criteria.documentNumberstringDocument number of the account
criteria.statusstringStatus of the transaction. See Transaction Statuses.
Response Example
{
  "criteria": {
    "startDate": "2020-04-01T00:00:00Z",
    "endDate": "2020-04-01T17:00:00Z",
    "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
    "documentNumber": "27574383000168",
    "status": "ATIVA"
  },
  "results": [
    {
      "expiration": 3600,
      "amount": 18.92,
      "additionalInfo": [
        {
          "name": "Title of information",
          "value": "Content of information"
        }
      ],
      "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
      "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
      "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
      "qrCodeImage": null,
      "status": "ATIVA",
      "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
      "createdAt": "2025-06-06T04:35:23.707Z",
      "pix": [
        {
          "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
          "amount": 231.39,
          "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
          "confirmedAt": "2025-06-06T04:35:23.707Z",
          "reverses": [
            {
              "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
              "endToEndId": "D12345678202009091000abcde123456",
              "amount": 231.39,
              "confirmedAt": "2025-06-06T04:35:23.707Z",
              "status": "DEVOLVIDO"
            }
          ]
        }
      ],
      "holdSettlemet": false,
      "inconsistencyReproval": null
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 1
  }
}

PUT /v1/apm/pix/{endToEndId}/reverse/{txid}

Request a refund.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
endToEndIdpathEnd to end transaction codeyesstring
txidpathTransaction Idyesstring
amountbodyTransaction amountyesdecimal
Request Example
{
  "amount": 231.39
}
Response Fields
FieldTypeDescription
txidstringRefund transaction ID
endToEndIdstringEnd to End transaction code
amountdecimalRefunded amount
confirmedAtDateTime (ISO 8601)Date and time of refund processing
statusstringStatus of the refund. See Refund Statuses.
Response Example
{
  "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
  "endToEndId": "D12345678202009091000abcde123456",
  "amount": 231.39,
  "confirmedAt": "2025-06-06T04:37:07.173Z",
  "status": "EM_PROCESSAMENTO"
}

GET /v1/apm/pix/{endToEndId}/reverse/{txid}

Check return using a Pix End To End ID and return ID.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
endToEndIdpathPayment End To End Codeyesstring
txidpathTransaction Idyesstring
Response Fields
FieldTypeDescription
txidstringRefund transaction ID
endToEndIdstringEnd to End transaction code
amountstringRefunded amount
confirmedAtDateTime (ISO 8601)Date and time of refund completion
statusstringStatus of the refund. See Refund Statuses.
Response Example
{
  "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
  "endToEndId": "D12345678202009091000abcde123456",
  "amount": "231.39",
  "confirmedAt": "2025-06-06T04:40:25.725Z",
  "status": "DEVOLVIDO"
}

PATCH /v1/apm/pix/charge/settlement/hold/{txid}

Block the pix charge settlement until it's unblocked.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring
txidpathCharge unique identifieryesstring

PATCH /v1/apm/pix/charge/settlement/release/{txid}

Allows the pix charge to be settled in the next settlement window.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring
txidpathCharge unique identifieryesstring

GET /v2/apm/pix/static-qrcode/payments/{txid}

List all payments (confirmed Pix receipts) associated with a given transaction ID, with optional date range filtering and pagination.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
txidpathTransaction unique identifier. Max 25 characters.yesstring
startDatequeryStart date to filter the querynoDateTime (ISO 8601)
endDatequeryEnd date to filter the querynoDateTime (ISO 8601)
pagination.currentPagequeryCurrent pageyesint
pagination.pageSizequeryPage sizeyesint
Response Fields
PropertyTypeDescription
criteria.txidstringTransaction ID used as filter
criteria.startDateDateTime (ISO 8601)Filter payments after this date and time
criteria.endDateDateTime (ISO 8601)Filter payments before this date and time
pixarrayList of payment confirmations
pix.endToEndIdstringEnd to End of payment confirmation
pix.amountdecimalPayment amount (BRL)
pix.pixKeystringAccount Pix key
pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
pix.reversesarrayList of reversals/refunds associated with the payment
pix.reverses.txidstringRefund transaction ID
pix.reverses.endToEndIdstringEnd to End of refund
pix.reverses.amountdecimalRefunded amount (BRL)
pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
pix.reverses.statusstringStatus of the refund. See Refund Statuses.
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
Response Example
{
  "criteria": {
    "txid": "01ARZ3NDEKTSV4RRFFQ69G5FA",
    "startDate": "2020-04-01T00:00:00Z",
    "endDate": "2020-04-01T17:00:00Z"
  },
  "pix": [
    {
      "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "amount": 231.39,
      "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
      "confirmedAt": "2025-06-06T04:35:23.707Z",
      "reverses": [
        {
          "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
          "endToEndId": "D12345678202009091000abcde123456",
          "amount": 231.39,
          "confirmedAt": "2025-06-06T04:35:23.707Z",
          "status": "DEVOLVIDO"
        }
      ]
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v2/apm/pix/charge/due-date/list

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
startDatequeryStart date to filter the queryyesDateTime (ISO 8601)
endDatequeryEnd date to filter the queryyesDateTime (ISO 8601)
pixKeyqueryAccount Pix Keynostring
documentNumberqueryCNPJ numbernostring
statusqueryStatus of the transaction. See Transaction Statuses.nostring
pagination.currentPagequeryCurrent Pageyesint
pagination.pageSizequeryPage Sizeyesint
Response Fields
PropertyTypeDescription
criteria.startDateDateTime (ISO 8601)Filter transactions after this date and time
criteria.endDateDateTime (ISO 8601)Filter transactions before this date and time
criteria.pixKeystringPix key informed in request criteria
criteria.documentNumberstringDocument number of the account
criteria.statusstringStatus of the transaction. See Transaction Statuses.
resultsarrayList of due date charges
results.statusstringStatus of the charge. See Transaction Statuses.
results.createdAtDateTime (ISO 8601)Date and time of creation
results.txidstringUnique transaction identifier
results.pixKeystringAccount pix key used in the charge
results.pixCopyAndPastestringPix copy and paste payload
results.pixarrayList of payment confirmations (can be null)
results.pix.endToEndIdstringEnd to End of payment confirmation
results.pix.amountdecimalPayment amount
results.pix.pixKeystringPix key used
results.pix.confirmedAtDate (yyyy-MM-dd)Date of confirmation
results.pix.discountdecimalDiscount applied to the payment
results.pix.reductiondecimalReduction applied to the payment
results.pix.penaltydecimalPenalty applied to the payment
results.pix.interestdecimalInterest applied to the payment
results.pix.reversesarrayArray of reversals/refunds
results.pix.reverses.txidstringRefund transaction ID
results.pix.reverses.endToEndIdstringEnd to End of refund
results.pix.reverses.amountdecimalRefunded amount
results.pix.reverses.confirmedAtDate (yyyy-MM-dd)Date of refund
results.pix.reverses.statusstringStatus of the refund. See Refund Statuses.
results.additionalInfoarrayAdditional information attached to the charge
results.additionalInfo.namestringAdditional information label
results.additionalInfo.valuestringAdditional information value
results.holdSettlemetbooleanIndicates if settlement is on hold
results.inconsistencyReprovalintegerInconsistency reproval code (can be null)
results.calendarobjectDue date calendar information
results.calendar.dueDateDate (yyyy-MM-dd)Charge due date
results.calendar.validDaysAfterDueDateintegerValid days after due date
results.chargeobjectCharge financial data
results.charge.amountdecimalOriginal charge amount
results.charge.interestobjectInterest settings
results.charge.interest.modalityintegerInterest modality. See Interest Modalities.
results.charge.interest.valuedecimalInterest value
results.charge.reductionobjectReduction settings
results.charge.reduction.modalityintegerReduction modality
results.charge.reduction.valuedecimalReduction value
results.charge.penaltyobjectPenalty settings
results.charge.penalty.modalityintegerPenalty modality
results.charge.penalty.valuedecimalPenalty value
results.charge.discountobjectDiscount settings
results.charge.discount.modalityintegerDiscount modality. See Discount Modalities.
results.charge.discount.valuedecimalDiscount value
results.charge.discount.fixedDatearrayFixed discount dates
results.charge.discount.fixedDate.dateDate (yyyy-MM-dd)Deadline date for discount
results.charge.discount.fixedDate.valuedecimalDiscount value applied for the fixed date
results.debtorobjectDebtor data
results.debtor.namestringDebtor full name
results.debtor.documentstringDebtor document (CPF/CNPJ)
results.debtor.addressstringDebtor address
results.debtor.citystringDebtor city
results.debtor.postalCodestringDebtor postal code
results.debtor.statestringDebtor state
results.locationstringCharge location extracted from the Pix payload
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
Response Example
{
  "criteria": {
    "startDate": "2026-03-01T00:00:00.000-03:00",
    "endDate": "2026-03-30",
    "pixKey": null,
    "documentNumber": null,
    "status": null
  },
  "results": [
    {
      "status": "REMOVIDA_PELO_USUARIO_RECEBEDOR",
      "createdAt": "2026-03-18T16:10:14.975-03:00",
      "txid": "9a73b1d964b34f3c982412280dda5df5",
      "pixKey": "4957049f-133f-444a-839b-bb4883f81bf7",
      "pixCopyAndPaste": "00020101021226880014BR.GOV.BCB.PIX2566api-h.rendimento.com.br/q/v2/cobv/09867eb9c5d543fd8a642d310a0292e65204000053039865802BR5925PORTO NOVO COMERCIO DE MO6009SAO PAULO61081125553262070503***630462DE",
      "pix": [
        {
          "endToEndId": "E1234567820260318161014abcdef1234",
          "amount": 250.0,
          "pixKey": "4957049f-133f-444a-839b-bb4883f81bf7",
          "confirmedAt": "2026-03-18",
          "discount": 20.0,
          "reduction": 1.75,
          "penalty": 2.0,
          "interest": 20.0,
          "reverses": [
            {
              "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
              "endToEndId": "D12345678202009091000abcde123456",
              "amount": 231.39,
              "confirmedAt": "2026-03-18T16:10:14.975-03:00",
              "status": "DEVOLVIDO"
            }
          ]
        }
      ],
      "additionalInfo": [
        {
          "name": "Recebedor",
          "value": "PORTO NOVO COMERCIO DE MOVEIS LTDA"
        },
        {
          "name": "Sabor do pastel",
          "value": "Berinjela"
        }
      ],
      "holdSettlemet": false,
      "inconsistencyReproval": 4,
      "calendar": {
        "dueDate": "2026-04-01",
        "validDaysAfterDueDate": 15
      },
      "charge": {
        "amount": 250.0,
        "interest": {
          "modality": 1,
          "value": 20.0
        },
        "reduction": {
          "modality": 2,
          "value": 1.75
        },
        "penalty": {
          "modality": 2,
          "value": 2.0
        },
        "discount": {
          "modality": 1,
          "value": 2.0,
          "fixedDate": [
            {
              "date": "2026-03-22",
              "value": 20.0
            },
            {
              "date": "2026-03-20",
              "value": 30.0
            }
          ]
        }
      },
      "debtor": {
        "name": "Lindomar Lindo",
        "document": "38958998000104",
        "address": "Alameda das Raposas, 1250",
        "city": "São Paulo",
        "postalCode": "01310100",
        "state": "SP"
      },
      "location": "api-h.rendimento.com.br/q/v2/cobv/09867eb9c5d543fd8a642d310a0292e6"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 20,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v2/apm/pix/charge/due-date/{txid}

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
txidpathCharge identifier. Alphanumeric only, with 26 to 35 characters.yesstring
returnQrCodeImagequeryIndicates whether the QR Code image should be returned in base64 format.noboolean
Response Fields
PropertyTypeDescription
statusstringStatus of the charge. See Transaction Statuses.
createdAtDateTime (ISO 8601)Date and time of creation
txidstringUnique transaction identifier
qrCodeImagestringBase64 image of the QR Code (null when not requested)
pixKeystringAccount pix key used in the charge
pixCopyAndPastestringPix copy and paste payload
pixarrayList of payment confirmations (can be null)
pix.endToEndIdstringEnd to End of payment confirmation
pix.amountdecimalPayment amount
pix.pixKeystringPix key used
pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
pix.reversesarrayArray of reversals/refunds
pix.reverses.txidstringRefund transaction ID
pix.reverses.endToEndIdstringEnd to End of refund
pix.reverses.amountdecimalRefunded amount
pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
pix.reverses.statusstringStatus of the refund. See Refund Statuses.
pix.discountdecimalDiscount applied to the payment
pix.reductiondecimalReduction applied to the payment
pix.penaltydecimalPenalty applied to the payment
pix.interestdecimalInterest applied to the payment
additionalInfoarrayAdditional information attached to the charge
additionalInfo.namestringAdditional information label
additionalInfo.valuestringAdditional information value
holdSettlemetbooleanIndicates if settlement is on hold
inconsistencyReprovalintegerInconsistency reproval code (can be null)
calendarobjectDue date calendar information
calendar.dueDateDate (yyyy-MM-dd)Charge due date
calendar.validDaysAfterDueDateintegerValid days after due date
chargeobjectCharge financial data
charge.amountdecimalOriginal charge amount
charge.interestobjectInterest settings
charge.interest.modalityintegerInterest modality. See Interest Modalities.
charge.interest.valuedecimalInterest value
charge.reductionobjectReduction settings
charge.reduction.modalityintegerReduction modality
charge.reduction.valuedecimalReduction value
charge.penaltyobjectPenalty settings
charge.penalty.modalityintegerPenalty modality
charge.penalty.valuedecimalPenalty value
charge.discountobjectDiscount settings
charge.discount.modalityintegerDiscount modality. See Discount Modalities.
charge.discount.valuedecimalDiscount value
charge.discount.fixedDatearrayFixed discount dates
charge.discount.fixedDate.dateDate (yyyy-MM-dd)Deadline date for discount
charge.discount.fixedDate.valuedecimalDiscount value applied for the fixed date
debtorobjectDebtor data
debtor.namestringDebtor full name
debtor.documentstringDebtor document (CPF/CNPJ)
debtor.addressstringDebtor address
debtor.citystringDebtor city
debtor.postalCodestringDebtor postal code
debtor.statestringDebtor state
locationstringCharge location extracted from the Pix payload
Response Example
{
    "status": "REMOVIDA_PELO_USUARIO_RECEBEDOR",
    "createdAt": "2026-03-18T16:10:14.975-03:00",
    "txid": "9a73b1d964b34f3c982412280dda5df5",
    "qrCodeImage": null,
    "pixKey": "4957049f-133f-444a-839b-bb4883f81bf7",
    "pixCopyAndPaste": "00020101021226880014BR.GOV.BCB.PIX2566api-h.rendimento.com.br/q/v2/cobv/09867eb9c5d543fd8a642d310a0292e65204000053039865802BR5925PORTO NOVO COMERCIO DE MO6009SAO PAULO61081125553262070503***630462DE",
    "pix": [
      {
        "endToEndId": "E1234567820260318161014abcdef1234",
        "amount": 250.0,
        "pixKey": "4957049f-133f-444a-839b-bb4883f81bf7",
        "confirmedAt": "2026-03-18T16:12:01.000-03:00",
        "discount": 20.0,
        "reduction": 1.75,
        "penalty": 2.0,
        "interest": 20.0,
        "reverses": [
          {
            "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
            "endToEndId": "D12345678202003181610abcde123456",
            "amount": 50.0,
            "confirmedAt": "2026-03-18T16:12:01.000-03:00",
            "status": "COMPLETED"
          }
        ]
      }
    ],
    "additionalInfo": [
        {
            "name": "Recebedor",
            "value": "PORTO NOVO COMERCIO DE MOVEIS LTDA"
        },
        {
            "name": "Sabor do pastel",
            "value": "Berinjela"
        }
    ],
    "holdSettlemet": false,
    "inconsistencyReproval": 4,
    "calendar": {
        "dueDate": "2026-04-01",
        "validDaysAfterDueDate": 15
    },
    "charge": {
        "amount": 250.0,
        "interest": {
            "modality": 1,
            "value": 20.0
        },
        "reduction": {
            "modality": 2,
            "value": 1.75
        },
        "penalty": {
            "modality": 2,
            "value": 2.0
        },
        "discount": {
            "modality": 1,
            "value": 2.0,
            "fixedDate": [
                {
                    "date": "2026-03-22",
                    "value": 20.0
                },
                {
                    "date": "2026-03-20",
                    "value": 30.0
                }
            ]
        }
    },
    "debtor": {
        "name": "Lindomar Lindo",
        "document": "38958998000104",
        "address": "Alameda das Raposas, 1250",
        "city": "São Paulo",
        "postalCode": "01310100",
        "state": "SP"
    },
    "location": "api-h.rendimento.com.br/q/v2/cobv/09867eb9c5d543fd8a642d310a0292e6"
}

PUT /utils/ordem-pagar

Simulates the payment of a pix charge in the sandbox environment.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
qrCodebodyPix charge copy and paste code (QRCode)yesstring
amountbodyAmount to be paid. Used in QR Code static.nodecimal
ParametersbodyPayer Document specificnoobject
Request Example
{
  "qrCode": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/28d1eeb09673415ea5ad1c3c2793fbc45204000053039865802BR5914QRCOeAccount6009SAO PAULO61081125553262070503***6304AE83",
  "amount": 250.0,
  "Parameters": {
    "PayerName":"PayerName",
    "PayerAgency":"0000",
    "PayerAccountNumber":"0000",
    "PayerDocument":"24659620000",
    "AccountStatus":"1",
    "PendingTransaction":"false",
    "CurrentBalance":"0"
  }
}

Additional Information

Transaction Statuses
ValueDescription
ATIVAPENDING
CONCLUIDACONFIRMED
REMOVIDA_PELO_USUARIO_RECEBEDORCANCELLED
REMOVIDA_PELO_PSPCANCELLED
Static QR Code Statuses
ValueCode
Active1
Inactive0
Refund Statuses
ValueDescription
DEVOLVIDORefunded
NAO_REALIZADONot Completed
EM_PROCESSAMENTOProcessing
Interest Modalities
ValueDescription
1Fixed amount (calendar days)
2Percentage per day (calendar days)
3Percentage per month (calendar days)
4Percentage per year (calendar days)
5Fixed amount (business days)
6Percentage per day (business days)
7Percentage per month (business days)
8Percentage per year (business days)
Discount Modalities
ValueDescription
1Fixed amount up to the specified date
2Percentage up to the specified date
3Fixed amount per calendar day in advance
4Fixed amount per business day in advance
5Percentage per calendar day in advance
6Percentage per business day in advance
Error Codes
ErrorDescription
96The settlement schedule date is less than the current date
153The account for this pix key is not active
157This charge does not have a fee amount
158Account not found
167Account suspended for billing processing
193The charge cannot be null or negative
259The split value cannot be negative.